/*
* 	Or.cpp
*	
* 	This class is used for the operator Or.
*
*	Date 20/01/06
*
*	Copyright Piquier Production
*
*	Author : Dave Studio
*
*/

#include "Or.h"

using namespace std;

Or::Or(){}

Or::~Or(){}

FuzzyValue Or::operate(FuzzyValue* v1, FuzzyValue* v2){
	return FuzzyValue(VALUE_OR, (v2->getValue() + v1->getValue()) / 2);
}

string Or::toString(){
	return "or";
}


